Summary: GNU uucp
Name: uucp
Version: 1.06.1
Release: 9
Copyright: GPL
Group: Daemons
Source: prep.ai.mit.edu:/pub/gnu/uucp-1.06.1.tar.gz
Source1: uucp.log
Patch: uucp-1.06.1-misc.patch

%description
UUCP is a Unix to Unix transfer mechanism.  It is used primarily
for remote sites to download and upload email and news files to
local machines. If you didn't already know that, you probably 
don't need this package installed.  :-)


* Tue Mar 25 1997 Erik Troan <ewt@redhat.com>

- symlinked /usr/sbin/uucico into /usr/lib/uucp
- (all of these changes are from Brian Candler <B.Candler@pobox.com>)
- sgid bit added on uucico so it can create lock files
- log files moved to /var/log/uucp/ owned by uucp (so uucico can create them)
- log rotation added
- uses /etc/uucp/oldconfig instead of /usr/lib/uucp for old config files
- package creates /etc/uucp and /etc/uucp/oldconfig directories
- man pages reference the correct locations for spool and config files

%prep
%setup
%patch -p1

%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s ./configure --prefix=/usr
make 

%install
make install
rm -f /usr/info/uucp*
make install-info
gzip -9nf /usr/info/uucp*
mkdir -p /var/spool/uucp
mkdir -p /var/spool/uucppublic
chown uucp /var/spool/uucp
chown uucp /var/spool/uucppublic
mkdir -p /etc/uucp/oldconfig
chown uucp.uucp /etc/uucp /etc/uucp/oldconfig
chmod 770 /etc/uucp /etc/uucp/oldconfig

# Create initial log files so that logrotate doesn't complain
rm -rf /var/log/uucp
mkdir -p /var/log/uucp
chown uucp.uucp /var/log/uucp
touch /var/log/uucp/{Log,Stats,Debug}
chown uucp.uucp /var/log/uucp/{Log,Stats,Debug}
chmod 644 /var/log/uucp/{Log,Stats}
chmod 600 /var/log/uucp/Debug

strip /usr/sbin/uucico
strip /usr/sbin/uuxqt
strip /usr/sbin/uuchk
strip /usr/sbin/uuconv
strip /usr/bin/uux
strip /usr/bin/uucp
strip /usr/bin/uustat
strip /usr/bin/uuname
strip /usr/bin/uulog
strip /usr/bin/uupick
strip /usr/bin/cu

mkdir -p /usr/lib/uucp
ln -sf ../../sbin/uucico /usr/lib/uucp/uucico

install -m 644 -o 0 -g 0 $RPM_SOURCE_DIR/uucp.log /etc/logrotate.d/uucp

%files
%doc README COPYING ChangeLog MANIFEST NEWS uucp.texi
%doc sample contrib
%dir /var/spool/uucp
%dir /var/spool/uucppublic
%dir /etc/uucp
%dir /etc/uucp/oldconfig
/usr/info/uucp.info-1.gz
/usr/info/uucp.info-2.gz
/usr/info/uucp.info-3.gz
/usr/info/uucp.info-4.gz
/usr/info/uucp.info-5.gz
/usr/info/uucp.info-6.gz
/usr/info/uucp.info-7.gz
/usr/info/uucp.info-8.gz
/usr/info/uucp.info.gz
/usr/sbin/uucico
/usr/sbin/uuxqt
/usr/sbin/uuchk
/usr/sbin/uuconv
/usr/sbin/uusched
/usr/bin/uux
/usr/bin/uucp
/usr/bin/uustat
/usr/bin/uuname
/usr/bin/uulog
/usr/bin/uuto
/usr/bin/uupick
/usr/bin/cu
/usr/man/man8/uucico.8
/usr/man/man8/uuxqt.8
/usr/man/man1/uux.1
/usr/man/man1/uucp.1
/usr/man/man1/uustat.1
/usr/man/man1/cu.1
%dir /var/log/uucp
/var/log/uucp/Log
/var/log/uucp/Stats
/var/log/uucp/Debug
/usr/lib/uucp/uucico
%config /etc/logrotate.d/uucp
